%define module		Apache-ASP
%define version		2.31
%define release		1mdk
%define apachecontent	/var/www/html
%define apacheroot	/var/www

Summary:	%{module} module for perl
Name:		%{module}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Source1:	asp.html
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	apache-mod_perl
Requires:	perl
Requires:	perl-Apache-Filter
Requires:	perl-Apache-SSI
Requires:	perl-base
Requires:	perl-Compress-Zlib
Requires:	perl-DateManip
Requires:	perl-DB_File
Requires:	perl-Devel-Symdump
Requires:	perl-Digest-MD5
Requires:	perl-HTML-Clean
Requires:	perl-HTML-FillInForm
Requires:	perl-HTML-Parser
Requires:	perl-HTML-SimpleParse
Requires:	perl-libnet
Requires:	perl-libwww-perl
Requires:	perl-libxml-enno
Requires:	perl-libxml-perl
Requires:	perl-MIME-Base64
Requires:	perl-MLDBM
Requires:	perl-MLDBM-Sync
Requires:	perl-Parse-Yapp
Requires:	perl-Tie-Cache
Requires:	perl-Tie-TextDir
Requires:	perl-Time-HiRes
Requires:	perl-URI
Requires:	perl-XML-Parser
Requires:	perl-XML-Sablotron
Requires:	perl-XML-XSLT
Requires:	perl-XML-LibXSLT
BuildRequires:	perl-devel
BuildRequires:	perl-Apache-Filter
BuildRequires:	perl-Apache-SSI
BuildRequires:	perl-base
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-DB_File
BuildRequires:	perl-Devel-Symdump
BuildRequires:	perl-HTML-Clean
BuildRequires:	perl-MLDBM
BuildRequires:  perl-MLDBM-Sync
BuildRequires:  perl-HTML-FillInForm
BuildRequires:  perl-XML-Sablotron
BuildRequires:	perl-Tie-Cache
BuildRequires:	perl-Tie-TextDir
BuildRequires:	perl-Time-HiRes
BuildRequires:	perl-XML-XSLT
BuildRequires:  perl-XML-LibXSLT
BuildRequires:	perl-CGI
BuildRequires:	perl-DB_File

BuildArchitectures: noarch

%description
%{module} module for perl

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
#rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make
perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;" ASP.pm
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
mkdir -p $RPM_BUILD_ROOT%{apacheroot}/perl/%{module}
mkdir -p $RPM_BUILD_ROOT%{apachecontent}/addon-modules/
rm -f ASP.pm
rm -rf blib
rm -f Makefile*
rm -f pm_to_blib
cd cgi
perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;" asp
cd ..
cd site
for i in *;do perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;" $i;done
cd eg
for i in *;do perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;" $i;done
cd ../../
cp %{SOURCE1} $RPM_BUILD_ROOT%{apachecontent}/addon-modules/%{module}.html
cp -dpr *  $RPM_BUILD_ROOT%{apacheroot}/perl/%{module}/

# call spec-helper before creating the file list
s=/usr/share/spec-helper/spec-helper ; [ -x $s ] && $s
 
find $RPM_BUILD_ROOT/ -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{module}-%{version}-filelist

%files -f %{module}-%{version}-filelist
%defattr(-,root,root)
%doc CHANGES README
%dir %{apacheroot}/perl/%{module}
%dir %{apacheroot}/perl/%{module}/cgi
%dir %{apacheroot}/perl/%{module}/site
%dir %{apacheroot}/perl/%{module}/site/eg
%dir %{apacheroot}/perl/%{module}/build
%dir %{apacheroot}/perl/%{module}/build/eg
%dir %{apacheroot}/perl/%{module}/lib
%dir %{apacheroot}/perl/%{module}/lib/Bundle
%dir %{apacheroot}/perl/%{module}/lib/Bundle/Apache
%dir %{apacheroot}/perl/%{module}/site/apps
%dir %{apacheroot}/perl/%{module}/site/apps/bookmarks
%dir %{apacheroot}/perl/%{module}/site/apps/search
%dir %{apacheroot}/perl/%{module}/t

%changelog
* Thu Jan 31 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.31-1mdk
- 2.31.

* Mon Nov 05 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.27-1mdk
- 2.27.
- Added few BuildRequires
- s|/usr/local/bin/perl|%{_bindir}/perl|g

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu>  2.19-1mdk
- 2.19
- BuildRequires:	perl-CGI
- BuildRequires:	perl-DB_File
- Copyright --> License GPL
- Remove BuildRequires: apache-mod_perl perl perl-DateManip
  perl-Digest-MD5 perl-HTML-Parser perl-HTML-SimpleParse perl-libnet
  perl-libwww-perl perl-libxml-enno perl-libxml-perl perl-MIME-Base64
  perl-Parse-Yapp perl-URI perl-XML-Parser

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 2.00-4mdk
- BuildRequires:	perl-devel

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.00-3mdk
- BuildArchitectures: noarch
- add docs with doc macro

* Sun Oct 01 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.00-2mdk
- Call spec-helper before creating filelist
- Geoff <snailtalk@mandrakesoft.com>
  - remove the vendor and distribution tag. (jmdsuck!!)

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.00-1mdk
- Version 2.00 
- Macroized package

* Wed Mar  1 2000 Jean-Michel Dault <jmdault@netrevolution.com> 0.18-3mdk
- fixed link in asp.html

* Wed Mar  1 2000 Jean-Michel Dault <jmdault@netrevolution.com> 0.18-2mdk
- fixed dependencies again

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 0.18-1mdk
- updated to 0.18 on Apache 1.3.12

* Wed Jan 19 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 0.17

* Mon Sep 06 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- fixed dependancies

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 0.14
- bzip2'd sources
- put manual and examples in html directory
- renamed Apache-ASP to differentiate is as a different product

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
